# ReflectionMethod::setAccessible

(PHP 5 >= 5.3.2, PHP 7)

ReflectionMethod::setAccessible — Set method accessibility

### Description

public ReflectionMethod::setAccessible ( bool `$accessible` ) : void

Sets a method to be accessible. For example, it may allow protected and private methods to be invoked.

### Parameters

`accessible`

  `TRUE` to allow accessibility, or `FALSE`.

### Return Values

No value is returned.

### See Also

- ReflectionMethod::isPrivate() - Checks if method is private
- ReflectionMethod::isProtected() - Checks if method is protected